For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
            • GETList Themes
            • POSTUpload Theme
            • GETGet Theme
            • DELDelete Theme
              • GETGet Theme Configuration
              • POSTValidate Theme Configuration
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentThemesTheme Configurations

Get Theme Configuration

GET
https://api.bigcommerce.com/stores/:store_hash/v3/themes/:uuid/configurations
GET
/stores/:store_hash/v3/themes/:uuid/configurations
$curl https://api.bigcommerce.com/stores/store_hash/v3/themes/uuid/configurations \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200response
1{
2 "data": [
3 {
4 "uuid": "in",
5 "theme_uuid": "amet Ut",
6 "variation_id": "ut",
7 "settings": {},
8 "date_created": "ei",
9 "site_id": 52736226
10 }
11 ],
12 "meta": {}
13}
Returns a list of theme's configurations. **Usage Notes**: * At least one filter must be provided.
Was this page helpful?
Previous

Activate Theme

Next

Validate Theme Configuration

Built with

Returns a list of theme’s configurations.

Usage Notes:

  • At least one filter must be provided.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Themes | modify | `store_themes_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

uuidstringRequired
The theme identifier.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

uuid:inlist of stringsOptional

Filter configurations by passing a comma-separated list of configuration UUIDs.

channel_id:inlist of integersOptional

Filter configurations by passing a comma-separated list of channel IDs.

pageintegerOptional

Specifies the page number in a limited (paginated) list.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

variation_uuidstringOptional

Filter configurations by a variation_uuid.

Response

datalist of objects
metaobject
Response metadata.

OAuth scopes

UI NamePermissionParameter
Themesmodifystore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.